Package com.ocient.util

# Class CryptoUtils

java.lang.Object
com.ocient.util.CryptoUtils

public class CryptoUtils extends Object

## Method Summary

Modifier and Type
Method
Description
`static KeyPair`
`generateDHKeys(String dhParamString)`
`static GCMParameterSpec`
`generateIV(int ivLength)`
`static PublicKey`
`generatePublicKey()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### generatePublicKey

public static PublicKey generatePublicKey() throws NoSuchAlgorithmException

Throws:
  `NoSuchAlgorithmException`

### generateDHKeys

public static KeyPair generateDHKeys(String dhParamString) throws NoSuchAlgorithmException, InvalidKeySpecException, IOException, InvalidAlgorithmParameterException

Throws:
  `NoSuchAlgorithmException`
  `InvalidKeySpecException`
  `IOException`
  `InvalidAlgorithmParameterException`

### generateIV

public static GCMParameterSpec generateIV(int ivLength) throws NoSuchAlgorithmException

Throws:
  `NoSuchAlgorithmException`